package com.adventurer_engine.network.server2client;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import atv;
import com.adventurer_engine.common.entity.neo_npc.EntityRCsNPCBase;
import com.adventurer_engine.network.RCsPacket;
import com.google.common.io.ByteArrayDataInput;
import com.google.common.io.ByteArrayDataOutput;
import cpw.mods.fml.relauncher.Side;
import java.io.IOException;
import nn;
import uf;

public class NPCCustomTempDataPacket extends RCsPacket {
  private String varName;
  
  private int value;
  
  private int entityId;
  
  public NPCCustomTempDataPacket(String varName, int value, int entityId) {
    this.varName = varName;
    this.value = value;
    this.entityId = entityId;
  }
  
  public NPCCustomTempDataPacket() {}
  
  public void write(ByteArrayDataOutput out) throws IOException {
    out.writeUTF(this.varName);
    out.writeInt(this.value);
    out.writeInt(this.entityId);
  }
  
  public void read(ByteArrayDataInput in) throws IOException {
    this.varName = in.readUTF();
    this.value = in.readInt();
    this.entityId = in.readInt();
  }
  
  public void execute(uf player, Side side) throws RCsPacket.ProtocolException {
    if (side.isServer())
      return; 
    nn target = (atv.w()).f.a(this.entityId);
    if (!(target instanceof EntityRCsNPCBase))
      return; 
    ((EntityRCsNPCBase)target).tempData.setCustomVar(this.varName, this.value);
  }
}
